ServerRuntimeException (Java Platform SE 8 )
Keywords: java.rmi.ServerRuntimeException class
Date: 2020-03-26

compact2, compact3
java.rmi

## Class ServerRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.ServerRuntimeException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  no replacement

      @Deprecated
      public class ServerRuntimeException
      extends RemoteException

  From a server executing on JDK 1.1, a `ServerRuntimeException` is thrown as a result of a remote method invocation when a `RuntimeException` is thrown while processing the invocation on the server, either while unmarshalling the arguments, executing the remote method itself, or marshalling the return value. A `ServerRuntimeException` instance contains the original `RuntimeException` that occurred as its cause.

  A `ServerRuntimeException` is not thrown from servers executing on the Java 2 platform v1.2 or later versions.

  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerRuntimeException(String s, Exception ex)` Deprecated. no replacement

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerRuntimeException

          @Deprecated
          public ServerRuntimeException(String s,
                                                    Exception ex)

      Deprecated. no replacement
      Constructs a `ServerRuntimeException` with the specified detail message and nested exception.
      Parameters:
        `s` - the detail message
        `ex` - the nested exception
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.